LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDialog Interface Referencepublished

makes it possible to show and hide a dialog and gives access to the title of the dialog. More...

`import"XDialog.idl";`

Inheritance diagram for XDialog:

## Public Member Functions
void | setTitle ([in] string Title)
| sets the title of the dialog. More...
string | getTitle ()
| gets the title of the dialog. More...
short | execute ()
| runs the dialog modally: shows it, and waits for the execution to end. More...
void | endExecute ()
| hides the dialog and then causes XDialog::execute() to return. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to show and hide a dialog and gives access to the title of the dialog.

## Member Function Documentation

## ◆ endExecute()

void endExecute | ( |  | ) |

hides the dialog and then causes XDialog::execute() to return.

## ◆ execute()

short execute | ( |  | ) |

runs the dialog modally: shows it, and waits for the execution to end.

Returns an exit code (e.g., indicating the button that was used to end the execution).

## ◆ getTitle()

string getTitle | ( |  | ) |

gets the title of the dialog.

## ◆ setTitle()

void setTitle | ( | [in] string | Title | ) |

sets the title of the dialog.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XDialog.idl